import dotenv from 'dotenv';
import amqplib from 'amqplib';

dotenv.config();

async function getConnection() {
    const conn = await amqplib.connect(`amqp://${process.env.RABBITMQ_USERNAME}:${process.env.RABBITMQ_PASSWORD}@${process.env.RABBITMQ_HOST}:${process.env.RABBITMQ_PORT}`);
    return conn;
}

export default getConnection;
