import crypto from 'crypto';

async function generateRandomString(length: number): Promise<string> {
    const chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-';
    let result = '';
    const buf = crypto.randomBytes(length);
    for (let i = 0; i < length; i++) {
        const randomIndex = buf[i] % chars.length;
        result += chars[randomIndex];
    }
    return result;
}

export default generateRandomString;
